Bug 471745 - oops: kobject_add_internal failed for 1 with -EEXIST
oops: kobject_add_internal failed for 1 with -EEXIST
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Feeney
Fedora Extras Quality Assurance
: Reopened
: 473381 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2008-11-15 10:43 EST by Charles R. Anderson
Modified: 2013-01-10 02:09 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 13:11:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dmesg showing backtrace (46.15 KB, text/plain)
2008-11-15 10:43 EST, Charles R. Anderson
no flags Details

  None (edit)
Description Charles R. Anderson 2008-11-15 10:43:17 EST
Created attachment 323693 [details]
dmesg showing backtrace

Description of problem:

On bootup, almost immediately I see this error message:

kobject_add_internal failed for 1 with -EEXIST, don't try to register things with the same name in the same directory.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. boot
Actual results:

See attachment for full dmesg including backtrace.

Expected results:

no error

Additional info:

Lenovo ThinkPad T61
Comment 1 Andy Pastuszak 2008-11-16 21:03:56 EST
I have the exact same problem on a Thinkpad T60 with the 32 bit kernel.
Comment 2 Adam D. Ligas 2008-11-16 22:25:34 EST
Replicated here as well, Lenovo Thinkpad T61 w/ 64bit kernel
Comment 3 Jeff Moyer 2008-11-17 10:52:17 EST

*** This bug has been marked as a duplicate of bug 470421 ***
Comment 4 Andy Pastuszak 2008-11-17 11:29:56 EST
How is this Fedora 9 bug a duplicate of Fedora 10 bug?
Comment 5 Jeff Moyer 2008-11-17 11:42:46 EST
Sorry, this was accidental.
Comment 6 Dave Jones 2008-11-17 12:51:32 EST
they are based on pretty much the same kernel, so it's the same bug.  It'll get fixed in F9 the same time as F10.
Comment 7 Kyle Pablo 2008-11-21 13:51:41 EST
I just upgraded to the lastest kernel and the message still comes up.  I have a Thinkpad T400 btw.
Comment 8 Chuck Ebbert 2009-02-27 04:05:37 EST
*** Bug 473381 has been marked as a duplicate of this bug. ***
Comment 9 Bug Zapper 2009-06-09 23:16:34 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 10 Bug Zapper 2009-07-14 13:11:59 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.